import { LegendOrientation_$type } from "./LegendOrientation";
import { IgrLegendBase } from "./igr-legend-base";
import { Legend } from "./Legend";
import { ensureEnum } from "igniteui-react-core/ES2015/componentUtil";
/**
 * Represents a legend in a IgxDataChartComponent control.
*/
export class IgrLegend extends IgrLegendBase {
    createImplementation() {
        return new Legend();
    }
    get i() {
        return this._implementation;
    }
    constructor(props) {
        super(props);
    }
    /**
     * Gets or sets the current Legend object's orientation.
    */
    get orientation() {
        return this.i.a9;
    }
    set orientation(v) {
        this.i.a9 = ensureEnum(LegendOrientation_$type, v);
    }
    /**
     * Gets or sets color of text
    */
    get textColor() {
        return this.i.bf;
    }
    set textColor(v) {
        this.i.bf = v;
    }
    /**
     * Gets or sets style of text.
    */
    get textStyle() {
        return this.i.bg;
    }
    set textStyle(v) {
        this.i.bg = v;
    }
}
